package com.tzld.piaoquan.longarticle.service.local.impl;

import com.tzld.piaoquan.longarticle.dao.mapper.RootSourceMapper;
import com.tzld.piaoquan.longarticle.model.bo.PublishMiniprogramBo;
import com.tzld.piaoquan.longarticle.model.dto.PublishArticleData;
import com.tzld.piaoquan.longarticle.model.po.PlanAccount;
import com.tzld.piaoquan.longarticle.model.po.RootSource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RootSourceServiceImpl {

    @Autowired
    private RootSourceMapper rootSourceMapper;

    public void addRootSource(PublishMiniprogramBo publishMiniprogramBo, PlanAccount planAccount, PublishArticleData publishArticleData){
        RootSource rootSource = new RootSource();
        rootSource.setAccountName(planAccount.getAccountName());
        rootSource.setRootSourceId(publishMiniprogramBo.getRootSourceId());
        rootSource.setGhId(planAccount.getGhId());
        rootSource.setRequestTime(Integer.valueOf(String.valueOf(System.currentTimeMillis() / 1000)));
        rootSource.setTraceId(publishMiniprogramBo.getTraceId());
        rootSource.setPushType(2);
        rootSource.setVideoId(publishMiniprogramBo.getVideoId());
        rootSource.setContentId(publishArticleData.getSourceId());
        //TODO 更新crawler_videos表
        rootSourceMapper.insertSelective(rootSource);
    }
}
